# IOCardConfig

# Class IOCardConfig

Namespace: TecnoPack
Assembly: CO0002_Templ_FlowpackHMI_V00_9_3.dll

Rappresenta la configurazione delle schede IO (Input/Output) del sistema.
Include la mappatura delle schede IO normali e di sicurezza.

    public class IOCardConfig

#### Inheritance

object ←
IOCardConfig

#### Inherited Members

object.GetType(),
object.MemberwiseClone(),
object.ToString(),
object.Equals(object?),
object.Equals(object?, object?),
object.ReferenceEquals(object?, object?),
object.GetHashCode()

## Remarks

Le chiavi dei dizionari rappresentano identificativi univoci delle schede.
Ogni voce contiene la definizione completa di una scheda.

## Constructors

### IOCardConfig()

    public IOCardConfig()

## Properties

### NormalIoCards

Dizionario contenente le definizioni delle schede IO normali, indicizzate per identificatore.

    public Dictionary<string, NormalIOCardDefinition> NormalIoCards { get; set; }

#### Property Value

Dictionary
<
string,
NormalIOCardDefinition
>

### SafetyIoCards

Dizionario contenente le definizioni delle schede IO di sicurezza, indicizzate per identificatore.

    public Dictionary<string, SafetyIOCardDefinition> SafetyIoCards { get; set; }

#### Property Value

Dictionary
<
string,
SafetyIOCardDefinition
>